Redmine - Feature #2499

Change CSS font-size units from px to rem to respect browser font settings
2009-01-13 11:11 - Yaroslav Klyuev

Status: Closed Start date: 2009-01-13
Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed

Description

How about setting font-sizes in em and relative sizes?
1em for main text and in percents for others.
(I mean as default config of redmine)

Related issues:
Related to Redmine - Feature #28595: Please remove font definition from the b... Needs feedback

Associated revisions

Revision 23082 - 2024-09-26 01:46 - Go MAEDA

Change CSS font-size units from px to rem to respect browser font settings (#2499).

Patch by Go MAEDA (user:maeda).

Revision 23132 - 2024-10-16 14:44 - Go MAEDA

Change CSS font-size units from px to rem in scm.css (#2499).

Revision 23136 - 2024-10-17 02:59 - Go MAEDA

Change CSS font-size units from px to rem in wiki_syntax.css (#2499).

History

#1 - 2015-02-25 09:03 - Jens Peter

I second this. Using absolute font sizes inhibits an effective use of zoom and browser settings for standard text sizes.

This would be very helpful for using redmine in meetings/presentations where sometimes people sit far from the screen.

#2 - 2015-02-25 10:04 - Jens Peter

- File textarea--relative_font_sizes.patch added

| found out the most notable hindering comes from the fact that textareas and input fields don't scale because they don't inherit from body. See the
attached patch for a possible solution.

Otherwise it's a pretty simple search and replace for font-size elements.

#3 - 2024-09-25 02:15 - Go MAEDA
- Assignee set to Go MAEDA

#4 - 2024-09-25 09:12 - Go MAEDA

- File 2499.patch added

- File clipboard-202409251557-ebdk3.png added
- File clipboard-202409251602-juglb.png added

- File clipboard-202409251610-qshnb.png added
- Priority changed from Low to Normal

- Target version set to Candidate for next major release

The attached patch changes the units for font-size from px to rem, ensuring that font sizes scale appropriately based on user-defined browser
settings.
Currently, the use of absolute pixel (px) units for font sizes prevents users from adjusting text size effectively through their browser settings.
By switching to rem units, font sizes will scale properly according to the user’s browser font settings, enhancing accessibility.

Set the browser's font size to "Very large™:
clipboard-202409251557-ebdk3.png

Currently, the font size of built-in Ul components such as dropdowns respects the browser's font size setting, but the font size of most text remains
the same:
clipboard-202409251602-juglb.png

After applying the patch, everything are scaled according to the browser's setting:
clipboard-202409251610-gshnb.png

#5 - 2024-09-25 09:24 - Go MAEDA

- Related to Feature #28595: Please remove font definition from the body element. added

#6 - 2024-09-25 11:29 - Marius BALTEANU

- Target version changed from Candidate for next major release to 6.0.0

#7 - 2024-09-26 01:49 - Go MAEDA
- Subject changed from CSS font sizes in em and relative to Change font-size units from px to rem to respect browser font settings
- Status changed from New to Closed

- Resolution set to Fixed

Committed the patch in r23082.

The units of the font-size property have been converted from absolute px to relative rem.

#8 - 2024-09-26 01:52 - Go MAEDA

- Subject changed from Change font-size units from px to rem to respect browser font settings to Change CSS font-size units from px to rem to respect
browser font settings

Files

textarea--relative_font_sizes.patch 538 Bytes 2015-02-25 Jens Peter
2499.patch 6.59 KB 2024-09-25 Go MAEDA
clipboard-202409251557-ebdk3.png 173 KB 2024-09-25 Go MAEDA
clipboard-202409251602-juglb.png 401 KB 2024-09-25 Go MAEDA
clipboard-202409251610-gshnb.png 366 KB 2024-09-25 Go MAEDA
